%global momorel 1
%global date 20090630
%global qtver 4.5.1
%global kdever 4.2.91
%global kdelibsrel 1m
%global kdemultimediarel 1m

Summary: A program for ripping and encoding Audio-CDs
Name: kaudiocreator
Version: 1.2
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://kde-apps.org/content/show.php/KAudioCreator?content=107645
Group: Applications/Multimedia
Source0: %{name}-%{version}-svn.tar.bz2
Patch0: %{name}-%{version}-docdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdemultimedia-devel >= %{kdever}-%{kdemultimediarel}
BuildPreReq: cmake
BuildPreReq: gettext
BuildPreReq: taglib-devel

%description
KAudioCreator is a program for ripping and encoding Audio-CDs,
encoding files from disk.

%prep
%setup -q -n %{name}-%{version}-svn

%patch0 -p1 -b .docdir

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING* TODO
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}
%{_kde4_appsdir}/kconf_update/*%{name}*
%{_kde4_datadir}/config.kcfg/%{name}*.kcfg
%{_kde4_docdir}/HTML/en/%{name}
%{_kde4_datadir}/icons/hicolor/*/apps/%{name}.png
%{_kde4_datadir}/kde4/services/ServiceMenus/audiocd_extract.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Jun 30 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.20090630.1m)
- initial package for music freaks using Momonga Linux
